/* =========================
   FOOTER CSS
========================= */

.site-footer{
    background:var(--header);
    border-top:1px solid var(--border);
    magin-top:10px;
}


/* MAIN GRID */
.footer-inner{
   
    max-width:900px;
    margin:auto;
    padding:18px;
    display:grid;
    grid-template-columns:1.6fr 1fr 1fr 1fr;
    gap:35px;
  
}

/* BRAND */
.footer-brand{  
    
    display:flex;
    justify-content:center;
    gap:12px;
    margin-bottom:18px;
    text-decoration:none;
}
.fa-facebook{background-color:blue; color:white; width:100%; border-radius:50%; height:100%; padding:9px; padding-top:7px;}
.fa-twitter{background-color:#276CF5; color:white; width:100%; border-radius:50%; height:100%; padding:9px; padding-top:7px;}
.fa-instagram{background-color:#F5276C; color:white; width:100%; border-radius:50%; height:100%; padding:6px; padding-left:7px; }
.footer-brand img{
    
    width:52px;
    height:52px;
    object-fit:cover;
    border-radius:12px;
}
.footer-cols{ width:100%;}

.footer-col.footer-about{
    padding:10px;
   max-width:900px;
    margin:0 auto;
   justify-content:center;
}

.footer-brand-name{
   
    font-size:24px;
    font-weight:900;
    color:var(--text);
    letter-spacing:-0.5px;
}

.footer-brand-name span{
    color:var(--green);
}

/* TITLES */
.footer-title{
    font-size:16px;
    font-weight:800;
    margin-bottom:18px;
    color:var(--text);
}

/* TEXT */
.footer-text{
    color:var(--muted);
    line-height:1.8;
    font-size:14px;
    margin:0;
}

/* LINKS */
.footer-links{
    display:flex;
    flex-direction:column;
    gap:12px;
}

.footer-links a{
    color:var(--muted);
    text-decoration:none;
    font-size:14px;
    transition:.2s ease;
}

.footer-links a:hover{
    color:var(--green);
    transform:translateX(3px);
}

/* SOCIALS */
.footer-socials{
    width:100%;
    display:flex;
    justify-content:center;
    gap:30px;
    margin-top:10px;
}

.footer-socials a{
    width:30px;
    height:30px;
    border-radius:50%;
    background:var(--bg);
    border:1px solid var(--border);
    display:flex;
    align-items:center;
    justify-content:center;
    color:var(--text);
    font-size:16px;
    transition:.25s ease;
}

.footer-socials a:hover{
    background:var(--green);
    border-color:var(--green);
    color:#fff;
    transform:translateY(-3px);
}

/* BOTTOM */
.footer-bottom{
    border-top:1px solid var(--border);
    text-align:center;
    padding:18px;
    color:var(--muted);
    font-size:13px;
}

/* DARK MODE */
body.dark .site-footer{
    background:#0b1626;
}

body.dark .footer-socials a{
    background:#132033;
    border-color:#1e2d44;
    color:#fff;
}

body.dark .footer-socials a:hover{
    background:#009b4d;
}

/* MOBILE */
@media(max-width:900px){

    .footer-inner{
        grid-template-columns:1fr 1fr;
    }

}

@media(max-width:600px){

    .footer-inner{
        grid-template-columns:1fr 1fr;
       
        padding: 18px;
    }

    .footer-brand-name{
        font-size:20px;
    }

    .footer-title{
        margin-bottom:14px;
    }

}